Subject: Re: bug#39341: Installer using 100% of a CPU core

From: Ludovic Courtès <[email-masked]>
Date: Wed, 28 Apr 2021 15:43:06 +0200

Hi,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> On Tue, Apr 27, 2021 at 11:26:41PM +0200, Ludovic Courtès wrote:
>> I tried this in ‘guix system vm gnu/system/install.scm’.  I proceed like
>> so:
>> 
>>   1. after the installer’s welcome screen I choose French layout;
>>   2. the next dialog is the host name, which is where I confirm I really
>>      got French layout;
>
> At the host name dialog, I still have QWERTY layout, on both my Beebox
> and my Macbook.  I can however switch in QEMU on the same Macbook.  Oh
> and I just noticed now; the same USB drive does switch layouts on my
> fastest machine.  All are UEFI.
>
>>   3. from there I press F1, choose German layout, confirm by typing into
>>      the host name dialog that I got German layout;
>
> No effect, I still got QWERTY layout.
>
>>   4. I repeat step #3 with a variety of layouts.
>
> Same.

[...]

> My layout is still QWERTY after waiting for some time; I do not know
> how the layout switch was eventually triggered after a while last time.

Hmm I don’t know what to think.  Could you confirm that keyboard
switching works if you revert d904abe0768293b2322dbf355b6e41d94e769d78?

To anyone reading this: could you please give it a try and report back?
You can run the image in a VM from current master:

  ./pre-inst-env guix system vm gnu/system/install.scm

or better yet, build the ISO, copy it to USB, and boot it on bare metal:

  ./pre-inst-env guix system image -t iso9660 gnu/system/install.scm

Thanks,
Ludo’.